summaryrefslogtreecommitdiffstats
path: root/source/l/cairo/cairo.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-09-28 21:37:06 +0000
committer Eric Hameleers <alien@slackware.com>2023-09-29 00:41:46 +0200
commite9c0b54c5cc41c2482d05f82b68e6bc6abfc0e77 (patch)
tree760907293e8313a935a76dd563c3a5eeb21d9594 /source/l/cairo/cairo.SlackBuild
parentd5cee66c5760e888f2b53c2e21453a3b11832425 (diff)
downloadcurrent-e9c0b54c5cc41c2482d05f82b68e6bc6abfc0e77.tar.gz
current-e9c0b54c5cc41c2482d05f82b68e6bc6abfc0e77.tar.xz
Thu Sep 28 21:37:06 UTC 202320230928213706
ap/mpg123-1.32.2-x86_64-1.txz: Upgraded. l/cairo-1.18.0-x86_64-1.txz: Upgraded. l/gtk4-4.12.3-x86_64-1.txz: Upgraded. x/fonttosfnt-1.2.3-x86_64-1.txz: Upgraded. xap/geeqie-2.1-x86_64-2.txz: Rebuilt. Patched and recompiled against lua-5.4.6. xap/mozilla-firefox-115.3.1esr-x86_64-1.txz: Upgraded. This update contains a security fix. For more information, see: https://www.mozilla.org/en-US/firefox/115.3.1/releasenotes/ https://www.mozilla.org/en-US/security/advisories/mfsa2023-44/ https://www.cve.org/CVERecord?id=CVE-2023-5217 (* Security fix *) xfce/xfce4-panel-4.18.5-x86_64-1.txz: Upgraded. testing/packages/aaa_glibc-solibs-2.38-x86_64-1.txz: Added. testing/packages/glibc-2.38-x86_64-1.txz: Added. Instead of building the deprecated glibc crypt library, bundle libxcrypt-4.4.36 (both .so.1 compat version and .so.2 new API version). testing/packages/glibc-i18n-2.38-x86_64-1.txz: Added. testing/packages/glibc-profile-2.38-x86_64-1.txz: Added.
Diffstat (limited to 'source/l/cairo/cairo.SlackBuild')
-rwxr-xr-xsource/l/cairo/cairo.SlackBuild66
1 files changed, 20 insertions, 46 deletions
diff --git a/source/l/cairo/cairo.SlackBuild b/source/l/cairo/cairo.SlackBuild
index c3cd054e9..8d21d5c78 100755
--- a/source/l/cairo/cairo.SlackBuild
+++ b/source/l/cairo/cairo.SlackBuild
@@ -76,54 +76,29 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Recommended by BLFS for cairo-1.17.6 to "prevent errors later":
-if ! grep -q exec_prefix util/cairo-script/cairo-script-interpreter.pc.in ; then
- sed -e "/@prefix@/a exec_prefix=@exec_prefix@" \
- -i util/cairo-script/cairo-script-interpreter.pc.in
-fi
-
-CFLAGS="$SLKCFLAGS" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
--mandir=/usr/man \
--sysconfdir=/etc \
- --disable-gtk-doc \
- --disable-quartz \
- --disable-static \
- --disable-win32 \
- --disable-trace \
- --enable-xlib \
- --enable-xcb \
- --enable-ps \
- --enable-pdf \
- --enable-svg \
- --enable-tee \
- --enable-ft \
- --enable-gl \
- --enable-gobject \
- --enable-xml \
- --build=$ARCH-slackware-linux || exit 1
-
-# None of these are 'stable' yet...
-# --enable-qt \
-# --enable-drm \
-
-# Not sure if these two are needed / useful yet; --enable-xcb is now default
-# --enable-xcb-shm \
-# ^^ may cause GTK+3 instability
-# --enable-xlib-xcb \
-# ^^ this one caused a GIMP slowdown
-
-# Skipping this, because it causes a dependency on the specific
-# version of binutils installed at compile time:
-# --enable-trace
-
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+ --localstatedir=/var \
+ --buildtype=release \
+ -Dgtk_doc=false \
+ -Dtests=disabled \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -132,7 +107,6 @@ mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
AUTHORS* BIBLIOGRAPHY* BUGS* ChangeLog CODING_STYLE* COPYING* HACKING* NEWS* PORTING_GUIDE* README* RELEASING* \
$PKG/usr/doc/$PKGNAM-$VERSION
-( cd $PKG/usr/doc/$PKGNAM-$VERSION ; ln -sf /usr/share/gtk-doc/html/cairo html )
# We do not need the entire NEWS file.
if [ -r NEWS ]; then